<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Basit&#39;s Blog</title>
    <link>https://blog.rjbasitali.com/</link>
    <description>Recent content on Basit&#39;s Blog</description>
    <generator>Hugo -- gohugo.io</generator>
    <language>en-us</language>
    <copyright>Basit Ali</copyright>
    <lastBuildDate>Tue, 12 Oct 2021 22:05:04 +0500</lastBuildDate><atom:link href="https://blog.rjbasitali.com/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Writing your own Reverse Proxy server using Golang</title>
      <link>https://blog.rjbasitali.com/posts/writing-your-own-reverse-proxy-using-golang/</link>
      <pubDate>Tue, 12 Oct 2021 22:05:04 +0500</pubDate>
      
      <guid>https://blog.rjbasitali.com/posts/writing-your-own-reverse-proxy-using-golang/</guid>
      <description>Writing a Reverse Proxy server in Go is a matter of single digit lines of code due to its rock solid standard library and its low level network plumbing capabilities. Recently I came across some use cases where I needed to write my own Reverse Proxy server and of course Go was the pragmatic choice.
Let us first start with defining Reverse Proxy and its common uses.
Reverse Proxy A Reverse Proxy is an intermediary server that sits between multiple clients and servers, and directs client requests to appropriate backend server.</description>
    </item>
    
    <item>
      <title>Writing a Middleware for your HTTP handler – Golang</title>
      <link>https://blog.rjbasitali.com/posts/writing-a-golang-middleware-for-your-http-handler/</link>
      <pubDate>Sun, 01 Aug 2021 22:05:04 +0500</pubDate>
      
      <guid>https://blog.rjbasitali.com/posts/writing-a-golang-middleware-for-your-http-handler/</guid>
      <description>If you are a backend developer working daily with HTTP requests then you have most likely already encountered situations where you want a common functionality across all the incoming HTTP requests, which can be as simple as checking if the Content-Type header only has the value application/json if you only support json, or maybe you want to spoof your HTTP request to change the method type from POST,GET or PUT to something else based on the X-HTTP-Method-Override header, or of course authenticate before finally passing the request to the destination HTTP handler.</description>
    </item>
    
    <item>
      <title>Contact</title>
      <link>https://blog.rjbasitali.com/contact/</link>
      <pubDate>Sun, 01 Aug 2021 16:26:01 +0500</pubDate>
      
      <guid>https://blog.rjbasitali.com/contact/</guid>
      <description>If you’ve got any questions, suggestions or would like to discuss a project then email me at rjbasitali@gmail.com. I’d be happy to hear from you.
You can also find me on LinkedIn, Github and Instagram.</description>
    </item>
    
    <item>
      <title>About</title>
      <link>https://blog.rjbasitali.com/about/</link>
      <pubDate>Sat, 31 Jul 2021 22:39:25 +0500</pubDate>
      
      <guid>https://blog.rjbasitali.com/about/</guid>
      <description>Hi, I&amp;rsquo;m Basit Ali. I&amp;rsquo;m a software developer specializing in Java, Go and Android.
Previously I&amp;rsquo;ve worked with many startups including telehealth, trivia games, logistics and more. Right now I&amp;rsquo;m working on providing video conferencing and other VoIP solutions using WebRTC, Golang and other cool technologies.
I generally work with Go and Java for backend, React, Android, Git, Postgres and Linux, the technologies, especially databases can change depending on the needs of the project.</description>
    </item>
    
  </channel>
</rss>
